Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1508537 - Enabling replication after upgrading from 5.5 to 5.9 fails on db schema
Summary: Enabling replication after upgrading from 5.5 to 5.9 fails on db schema
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Nick Carboni
QA Contact: luke couzens
URL:
Whiteboard: black:replication:upgrade:migration
Depends On:
Blocks: 1513143 1517386
TreeView+ depends on / blocked
 
Reported: 2017-11-01 15:54 UTC by luke couzens
Modified: 2017-11-24 19:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1513143 (view as bug list)
Environment:
Last Closed: 2017-11-17 13:34:17 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description luke couzens 2017-11-01 15:54:49 UTC
Description of problem:Enabling replication after upgrading from 5.5 to 5.9 fails on db schema


Version-Release number of selected component (if applicable):5.9.0.4


How reproducible:100%


Steps to Reproduce:
1.provision 5.5 appliance
2.add 5.9 repos
3.run yum update
4.run rake db:migrate
5.run rake evm:automate:reset
6.start evm
7.try to enable pglogical replication

Actual results:failure to add remote region to global in ui with db schema column errors
full error @ http://pastebin.test.redhat.com/528576

Expected results:Replication configured and working correctly



Additional info:
We used to be able to check and update database schema with the following:
rake evm:db:check_schema
rails r tools/fix_column_ordering.rb <table_name>

It seems that these rake tasks have been removed from 5.9 now.

Comment 2 Nick Carboni 2017-11-08 20:57:17 UTC
Luke, were you expecting to get the column ordering issue and just don't see the rake tasks to fix it now? Or do you think a column ordering issue was introduced?

Comment 4 Nick Carboni 2017-11-08 22:07:48 UTC
https://github.com/ManageIQ/manageiq-schema/pull/124 will add the rake task back, but it will be "db:check_schema" rather than "evm:db:check_schema"

Comment 5 Nick Carboni 2017-11-09 16:11:46 UTC
comment 4 will likely require a change to the upgrade documentation.

Comment 6 luke couzens 2017-11-13 10:37:50 UTC
Hey Nick, Yeh I was expecting the column ordering issue tbh as it was there on 5.5-5.6 iirc but like you said the rake task is missing on 5.9 so I couldn't update it.

Comment 7 Nick Carboni 2017-11-13 17:05:08 UTC
Okay, just making sure I can resolve this when that PR gets merged.

Thanks

Comment 8 CFME Bot 2017-11-13 20:58:19 UTC
New commit detected on ManageIQ/manageiq-schema/master:
https://github.com/ManageIQ/manageiq-schema/commit/863e6cd1c0e403846a4c88b68fa5d07d47dd692d

commit 863e6cd1c0e403846a4c88b68fa5d07d47dd692d
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Wed Nov 8 16:11:55 2017 -0500
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Wed Nov 8 16:45:02 2017 -0500

    Move the db:check_schema task to the public tasks.rake file
    
    This will allow it to be used by users when attempting to correct
    column ordering issues after migrating
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1508537

 lib/tasks/schema_tasks.rake         | 8 ++++++++
 lib/tasks_private/schema_tasks.rake | 7 -------
 2 files changed, 8 insertions(+), 7 deletions(-)
 create mode 100644 lib/tasks/schema_tasks.rake

Comment 10 Nick Carboni 2017-11-17 13:34:17 UTC
This is not really relevant now that this check and tool have been removed:

https://github.com/ManageIQ/manageiq/pull/16488
https://github.com/ManageIQ/manageiq-schema/pull/129

Closing this.


Note You need to log in before you can comment on or make changes to this bug.